<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.common.mapper.ProjectMapper">

    <select id="getListByParams" resultType="cn.com.ctop.common.entity.Project">
        select * from `jeecg-boot`.ctop_project where 1=1
        and media_id in
        <foreach collection="mediaList" item="item" separator=","
                 open="(" close=")">
            #{item}
        </foreach>
        <if test="userId!=null">
            and responsible_id = #{userId}
        </if>
    </select>
</mapper>
